Package ru.bitel.bgbilling.modules.simplepay.server.bean

# Class Constants

java.lang.Object
ru.bitel.bgbilling.common.bean.BGBaseConstants
ru.bitel.bgbilling.modules.simplepay.server.bean.Constants

public class Constants extends BGBaseConstants

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `KEY_SIMPLEPAY_COMMISSION_CHARGE_TYPE_ID`
  `static final String`
  `KEY_SIMPLEPAY_COMMISSION_COMMENT`
  `static final String`
  `KEY_SIMPLEPAY_COMMISSION_PERCENT`
  `static final String`
  `KEY_SIMPLEPAY_COMMISSION_TYPE`
  `static final String`
  `KEY_SIMPLEPAY_DESCRIPTION`
  `static final String`
  `KEY_SIMPLEPAY_LIFETIME`
  `static final String`
  `KEY_SIMPLEPAY_MERCHANT_ID`
  `static final String`
  `KEY_SIMPLEPAY_MERCHANT_SECRET_KEY`
  `static final String`
  `KEY_SIMPLEPAY_OUTLET_ID`
  `static final String`
  `KEY_SIMPLEPAY_PAYMENT_COMMENT`
  `static final String`
  `KEY_SIMPLEPAY_PAYMENT_TYPE_ID`
  `static final String`
  `KEY_SIMPLEPAY_RESULT_SECRET_KEY`
  `static final String`
  `KEY_SIMPLEPAY_SECRET_KEY`
  `static final String`
  `KEY_SIMPLEPAY_SUM_MAX`
  `static final String`
  `KEY_SIMPLEPAY_SUM_MIN`
  `static final String`
  `KEY_SIMPLEPAY_URL_GET_STATUS`
  `static final String`
  `KEY_SIMPLEPAY_URL_PAYMENT`
  `static final String`
  `PARAM_AMOUNT`
  `static final String`
  `PARAM_DESCRIPTION`
  `static final String`
  `PARAM_ERROR_DESCRIPTION`
  `static final String`
  `PARAM_LIFETIME`
  `static final String`
  `PARAM_MERCHANT_ID`
  `static final String`
  `PARAM_ORDER_ID`
  `static final String`
  `PARAM_OUTLET_ID`
  `static final String`
  `PARAM_PAYMENT_ID`
  `static final String`
  `PARAM_RESULT`
  `static final String`
  `PARAM_SALT`
  `static final String`
  `PARAM_SIG`
  `static final String`
  `PARAM_STATUS`
  `static final String`
  `SIMPLEPAY_COMMISSION_COMMENT`
  `static final String`
  `SIMPLEPAY_DESCRIPTION`
  `static final String`
  `SIMPLEPAY_LIFETIME`
  `static final String`
  `SIMPLEPAY_PAYMENT_COMMENT`
  `static final String`
  `SIMPLEPAY_SP_URL_GET_STATUS`
  `static final String`
  `SIMPLEPAY_SP_URL_PAYMENT`
  `static final int`
  `SIMPLEPAY_SUM_MAX`
  `static final int`
  `SIMPLEPAY_SUM_MIN`
  `static final String`
  `STATUS_ERROR`
  `static final String`
  `STATUS_OK`
  `static final String`
  `STATUS_REJECTED`

  ### Fields inherited from class ru.bitel.bgbilling.common.bean.BGBaseConstants

  `AUTOPAYMENT_MODE_MONTH_DAY_DEFAULT, AUTOPAYMENT_MODE_WEEK_DAY_DEFAULT, DEFAULT_FISCALIZATION_CUSTOMER_ADDRESS_TITLE, DEFAULT_SUM_MAX, DEFAULT_SUM_MIN, KEY_AUTOPAYMENT_ENABLE, KEY_AUTOPAYMENT_ID, KEY_AUTOPAYMENT_MODE, KEY_AUTOPAYMENT_MODE_AUTO_DAY_SUM, KEY_AUTOPAYMENT_MODE_AUTO_DAY_SUM_MAX, KEY_AUTOPAYMENT_MODE_AUTO_ENABLE, KEY_AUTOPAYMENT_MODE_AUTO_MONTH_SUM, KEY_AUTOPAYMENT_MODE_AUTO_MONTH_SUM_MAX, KEY_AUTOPAYMENT_MODE_AUTO_WEEK_SUM, KEY_AUTOPAYMENT_MODE_AUTO_WEEK_SUM_MAX, KEY_AUTOPAYMENT_MODE_MONTH_DAY, KEY_AUTOPAYMENT_MODE_MONTH_ENABLE, KEY_AUTOPAYMENT_MODE_MONTH_SUM, KEY_AUTOPAYMENT_MODE_MONTH_SUM_MAX, KEY_AUTOPAYMENT_MODE_MONTH_SUM_MIN, KEY_AUTOPAYMENT_MODE_WEEK_DAY, KEY_AUTOPAYMENT_MODE_WEEK_ENABLE, KEY_AUTOPAYMENT_MODE_WEEK_SUM, KEY_AUTOPAYMENT_MODE_WEEK_SUM_MAX, KEY_AUTOPAYMENT_MODE_WEEK_SUM_MIN, KEY_BILLING_NAME, KEY_COMMISSION_PERCENT, KEY_COMMISSION_TYPE, KEY_CUSTOMER_ADDRESS, KEY_CUSTOMER_ADDRESS_ENABLE, KEY_CUSTOMER_ADDRESS_REQUIRED, KEY_CUSTOMER_ADDRESS_TITLE, KEY_CUSTOMER_EMAIL, KEY_CUSTOMER_EMAIL_ENABLE, KEY_CUSTOMER_EMAIL_REQUIRED, KEY_MONTH, KEY_PAGE, KEY_PAYMENT_PHONE, KEY_PERIOD, KEY_STATUS, KEY_STATUS_LIST, KEY_SUM_MAX, KEY_SUM_MIN, KEY_TRANSACTIONS, KEY_YEAR, PATTERN_CARD, PATTERN_CONTRACT_COMMENT, PATTERN_CONTRACT_TITLE, PATTERN_TRANSACTION_ID, REQUEST_ATTR_CONTENT_TYPE, REQUEST_PARAM_CONTENT_TYPE, REQUEST_PARAM_CUSTOMER_ADDRESS, REQUEST_PARAM_CUSTOMER_EMAIL, REQUEST_PARAM_MONTH, REQUEST_PARAM_PAYMENT_EMAIL, REQUEST_PARAM_PAYMENT_PHONE, REQUEST_PARAM_STATUS, REQUEST_PARAM_SUM, REQUEST_PARAM_YEAR, STRING_AMP, STRING_EQUALS`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Constants()`

- ## Method Summary

  ### Methods inherited from class ru.bitel.bgbilling.common.bean.BGBaseConstants

  `getIntConstantByName`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### SIMPLEPAY_SUM_MIN

    public static final int SIMPLEPAY_SUM_MIN
    See Also:
      - Constant Field Values

  - ### SIMPLEPAY_SUM_MAX

    public static final int SIMPLEPAY_SUM_MAX
    See Also:
      - Constant Field Values

  - ### SIMPLEPAY_SP_URL_PAYMENT

    public static final String SIMPLEPAY_SP_URL_PAYMENT
    See Also:
      - Constant Field Values

  - ### SIMPLEPAY_SP_URL_GET_STATUS

    public static final String SIMPLEPAY_SP_URL_GET_STATUS
    See Also:
      - Constant Field Values

  - ### SIMPLEPAY_DESCRIPTION

    public static final String SIMPLEPAY_DESCRIPTION
    See Also:
      - Constant Field Values

  - ### SIMPLEPAY_PAYMENT_COMMENT

    public static final String SIMPLEPAY_PAYMENT_COMMENT
    See Also:
      - Constant Field Values

  - ### SIMPLEPAY_LIFETIME

    public static final String SIMPLEPAY_LIFETIME
    See Also:
      - Constant Field Values

  - ### SIMPLEPAY_COMMISSION_COMMENT

    public static final String SIMPLEPAY_COMMISSION_COMMENT
    See Also:
      - Constant Field Values

  - ### KEY_SIMPLEPAY_SUM_MIN

    public static final String KEY_SIMPLEPAY_SUM_MIN
    See Also:
      - Constant Field Values

  - ### KEY_SIMPLEPAY_SUM_MAX

    public static final String KEY_SIMPLEPAY_SUM_MAX
    See Also:
      - Constant Field Values

  - ### KEY_SIMPLEPAY_MERCHANT_ID

    public static final String KEY_SIMPLEPAY_MERCHANT_ID
    See Also:
      - Constant Field Values

  - ### KEY_SIMPLEPAY_OUTLET_ID

    public static final String KEY_SIMPLEPAY_OUTLET_ID
    See Also:
      - Constant Field Values

  - ### KEY_SIMPLEPAY_LIFETIME

    public static final String KEY_SIMPLEPAY_LIFETIME
    See Also:
      - Constant Field Values

  - ### KEY_SIMPLEPAY_SECRET_KEY

    public static final String KEY_SIMPLEPAY_SECRET_KEY
    See Also:
      - Constant Field Values

  - ### KEY_SIMPLEPAY_MERCHANT_SECRET_KEY

    public static final String KEY_SIMPLEPAY_MERCHANT_SECRET_KEY
    See Also:
      - Constant Field Values

  - ### KEY_SIMPLEPAY_RESULT_SECRET_KEY

    public static final String KEY_SIMPLEPAY_RESULT_SECRET_KEY
    See Also:
      - Constant Field Values

  - ### KEY_SIMPLEPAY_DESCRIPTION

    public static final String KEY_SIMPLEPAY_DESCRIPTION
    See Also:
      - Constant Field Values

  - ### KEY_SIMPLEPAY_URL_PAYMENT

    public static final String KEY_SIMPLEPAY_URL_PAYMENT
    See Also:
      - Constant Field Values

  - ### KEY_SIMPLEPAY_URL_GET_STATUS

    public static final String KEY_SIMPLEPAY_URL_GET_STATUS
    See Also:
      - Constant Field Values

  - ### KEY_SIMPLEPAY_PAYMENT_TYPE_ID

    public static final String KEY_SIMPLEPAY_PAYMENT_TYPE_ID
    See Also:
      - Constant Field Values

  - ### KEY_SIMPLEPAY_PAYMENT_COMMENT

    public static final String KEY_SIMPLEPAY_PAYMENT_COMMENT
    See Also:
      - Constant Field Values

  - ### KEY_SIMPLEPAY_COMMISSION_TYPE

    public static final String KEY_SIMPLEPAY_COMMISSION_TYPE
    See Also:
      - Constant Field Values

  - ### KEY_SIMPLEPAY_COMMISSION_COMMENT

    public static final String KEY_SIMPLEPAY_COMMISSION_COMMENT
    See Also:
      - Constant Field Values

  - ### KEY_SIMPLEPAY_COMMISSION_PERCENT

    public static final String KEY_SIMPLEPAY_COMMISSION_PERCENT
    See Also:
      - Constant Field Values

  - ### KEY_SIMPLEPAY_COMMISSION_CHARGE_TYPE_ID

    public static final String KEY_SIMPLEPAY_COMMISSION_CHARGE_TYPE_ID
    See Also:
      - Constant Field Values

  - ### PARAM_ORDER_ID

    public static final String PARAM_ORDER_ID
    See Also:
      - Constant Field Values

  - ### PARAM_PAYMENT_ID

    public static final String PARAM_PAYMENT_ID
    See Also:
      - Constant Field Values

  - ### PARAM_AMOUNT

    public static final String PARAM_AMOUNT
    See Also:
      - Constant Field Values

  - ### PARAM_DESCRIPTION

    public static final String PARAM_DESCRIPTION
    See Also:
      - Constant Field Values

  - ### PARAM_RESULT

    public static final String PARAM_RESULT
    See Also:
      - Constant Field Values

  - ### PARAM_MERCHANT_ID

    public static final String PARAM_MERCHANT_ID
    See Also:
      - Constant Field Values

  - ### PARAM_OUTLET_ID

    public static final String PARAM_OUTLET_ID
    See Also:
      - Constant Field Values

  - ### PARAM_LIFETIME

    public static final String PARAM_LIFETIME
    See Also:
      - Constant Field Values

  - ### PARAM_STATUS

    public static final String PARAM_STATUS
    See Also:
      - Constant Field Values

  - ### PARAM_ERROR_DESCRIPTION

    public static final String PARAM_ERROR_DESCRIPTION
    See Also:
      - Constant Field Values

  - ### PARAM_SALT

    public static final String PARAM_SALT
    See Also:
      - Constant Field Values

  - ### PARAM_SIG

    public static final String PARAM_SIG
    See Also:
      - Constant Field Values

  - ### STATUS_OK

    public static final String STATUS_OK
    See Also:
      - Constant Field Values

  - ### STATUS_ERROR

    public static final String STATUS_ERROR
    See Also:
      - Constant Field Values

  - ### STATUS_REJECTED

    public static final String STATUS_REJECTED
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### Constants

    public Constants()